Package org.apache.sling.repoinit.parser.operations

# Class PathSegmentDefinition

java.lang.Object
org.apache.sling.repoinit.parser.operations.PathSegmentDefinition

@ProviderType public class PathSegmentDefinition extends Object
Defines a segment of a path to be created, with its name and an optional primary type and optional mixins

## Constructor Summary

Constructors
Constructor
Description
`PathSegmentDefinition(String segment, String primaryType)`
`PathSegmentDefinition(String segment, String primaryType, boolean isDefaultPrimary)`
`PathSegmentDefinition(String segment, String primaryType, List<String> mixins)`
`PathSegmentDefinition(String segment, String primaryType, List<String> mixins, boolean isDefaultPrimary)`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getMixins()`
`String`
`getPrimaryType()`
`String`
`getSegment()`
`boolean`
`isDefaultPrimary()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PathSegmentDefinition

public PathSegmentDefinition(String segment, String primaryType)

### PathSegmentDefinition

public PathSegmentDefinition(String segment, String primaryType, List<String> mixins)

### PathSegmentDefinition

public PathSegmentDefinition(String segment, String primaryType, boolean isDefaultPrimary)

### PathSegmentDefinition

public PathSegmentDefinition(String segment, String primaryType, List<String> mixins, boolean isDefaultPrimary)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getSegment

public String getSegment()

### getPrimaryType

public String getPrimaryType()

### getMixins

public List<String> getMixins()

### isDefaultPrimary

public boolean isDefaultPrimary()